Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.clfs.similarity.squared_euclidean_distance

`mvpa2.clfs.similarity.``squared_euclidean_distance`(data1, data2=None, weight=None)

  Compute weighted euclidean distance matrix between two datasets.

  Parameters:

  data1 : np.ndarray

  > first dataset

  data2 : np.ndarray

  > second dataset. If None, compute the euclidean distance between the first dataset versus itself. (Defaults to None)

  weight : np.ndarray

  > vector of weights, each one associated to each dimension of the dataset (Defaults to None)

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »